<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<div id="Set_Switch">
 <div class="table-container">                    
        <div class="table-title"><span>/*[ID_SW_SWITCH]*/</span></div>
          <div class="table-list padding-tn">
            <form action="../cgi-bin/web_cgi_control.cgi" id="settingForm" method="post">
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_SIGNAL]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_VALUE]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_TIME]*/</strong></li>
                        <li class="t-4"><strong class="left pl">/*[ID_SET_VALUE]*/</strong></li>
                        <li class="t-5"><strong>/*[ID_SET]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                     <%
                     var data = data.SW_SWITCH;
                     var c=0;
                     if(data.list && data.list.length>0){
                     for(var i=0,ilen=data.list.length;i<ilen; i++){ 
						  var hasAuthority = args["level"]>=data.list[i][0][4];
						  var ControlSignal = (data.list[i][0][2] == 1) ? true : false;
						  var ControlDisabled = (ControlSignal && data.list[i][0][12]==0 || !hasAuthority) ? true : false;
                          if(data.list[i][0][5]>0){
                                var setTimeStr = Pages.SetSettingDate(data.list[i][0][5]);
                            } else {
                                var setTimeStr = "--";
                            }
                             var isZK = (jQuery.inArray(c,Configs.PowerSystem)=="-1") ? false : true;
                             c++;
                        %>
                    <ul class= "<%if(i%2==0){%> gray <%if(i==ilen-1){ %> bottom_line <%}}else{ %><%if(i==ilen-1){ %> bottom_line2 <%}}%>"   id="<%=data.list[i][0][1] %>_<%=data.list[i][0][2] %>_<%=data.list[i][0][3] %>">
                        <li class="t-1"><span class="left pl" title="<%=data.list[i][0][0][lang] %>"><%=data.list[i][0][0][lang] %></span></li>
                        <li class="t-2"><span class="left pl">
                        <%if(ControlSignal && data.list[i][0][10].length==1){ %>
                        <%=data.list[i][0][10][0][lang] %>
                        <%}else{ %>
                        <%if(data.list[i][0][8]==5){ %><%=data.list[i][0][10][data.list[i][0][9]][lang]%> <%}else{ %><%=data.list[i][0][9] %><%};if(typeof data.list[i][0][10] =="string"){ %><%=data.list[i][0][10]%><%};} %></span></li>
                        <li class="t-3"><span class="left pl"><%=setTimeStr %></span></li>
                        <li class="t-4">
                             <%if(data.list[i][0][8]==5){
                             if(data.list[i][0][10].length<=2){ %>
                                <span class="left pl radio">
                                <fieldset class="set_value">
                                <%
                                for(var j=0,jlen=data.list[i][0][10].length; j<jlen;j++){ 
                                var inputValue = (jlen==1)? 1: j;
                                %>
                                <div name="control_<%=i %>" value="<%=inputValue %>" <%if(j==0){if(ControlDisabled){%>class="radiodiv disradiodiv"<%}else{%>class="radiodiv"<%}}else{if(ControlDisabled){%>class="radiodiv disradiodivnot"<%}else{%>class="radiodiv radiodivnot "<%}}%>><label><%=data.list[i][0][10][j][lang]%></label></div>
                                <%} %>
                                </fieldset>
                                </span>
                            <% }else { %>
                            <span class="left pl selectsp">
                              <div class="dropdown">
                                    <div name="control_<%=i %>" <%if(ControlDisabled){ %> class="input_select set_disabled"<%} else { %> class="input_select set_value" <%} %> data-index="0"><%=data.list[i][0][10][0][lang]%></div>
                                    <ul class="language yinc">
                                    <%for(var j=0,jlen=data.list[i][0][10].length; j<jlen;j++){ %>                     
                                         <li><a href="javascript:void(0)" rel="<%=j %>"><%=data.list[i][0][10][j][lang]%></a></li>
                                    <%} %>
                                    </ul>
                            </div>
                              </span>
                            <%}} else { %>
                                <span class="left pl text"><input type="text" value="" name="control_<%=i %>" <%if(ControlDisabled){ %> disabled="disabled" class="set_disabled"<%} else { %> class="set_value" <%} %> validate='{"type":<%=data.list[i][0][8] %>,"range":[<%=data.list[i][0][7]%>,<%=data.list[i][0][6]%>]}' /> <i><%=data.list[i][0][7] %>~<%=data.list[i][0][6] %></i></span><%}%>
                    
                        </li>
                        <li class="t-5"><a href="#" hideFocus="true" class="btn_set <%if(ControlSignal){ %> set_control<%}%> <%if(ControlDisabled){%> btn_set_disabled<%}%>" 
						<%if(!ControlDisabled){%>
							post="equip_ID=<%=data.list[i][0][1]%>&signal_type=<%=data.list[i][0][2] %>&signal_id=<%=data.list[i][0][3] %>&value_type=<%=data.list[i][0][8] %>&control_type=1"
							<%if(ControlSignal){ %> tip="<%=jQuery.toJSON(data.list[i][0][11]) %>" <%} else {%> value="<%=data.list[i][0][9]%>" <%}%>
						<%}%>><i>/*[ID_SET1]*/</i></a>
						</li>
                    </ul>
                    <div class="<%if(!isZK){ %> border-bn <%} %>">
                        <div class="table-body-title table-ex" style="margin: 5px 0 0 0;">
                            <span class="<%if(!isZK){ %>title-zk<%} else { %>title-sl<%} %>"><i></i><%=data.list[i][0][0][lang]%> /*[ID_SETTINGS]*/</span>
                        </div>                   
                        <% 
                           for(var j = 0,ileng=data.list[i][1].length;j < ileng ; j++){
                                if(ileng>0){                              
                               var isZK = (jQuery.inArray(c,Configs.PowerSystem)=="-1") ? false : true;                                   
                               }
                         %>                       
                        <div class="table-content" index="<%=c %>" <%if(jQuery.inArray(c,Configs.PowerSystem)!="-1"){%>style="display:block;" <%} %>>
                            <ul class="<%if(j%2==0){%> gray <%if(j==ileng-1){ %> bottom_line <%}}else{ %><%if(j==ileng-1){ %> bottom_line2 <%}} %>"
                                id="<%=data.list[i][1][j][2] %>_<%=j%>">
                                <li class="t-0"><span class="left p2"><%=data.list[i][1][j][0][lang]%>_<%=data.list[i][1][j][1][lang]%></span>
                                </li>                                                        
                                <li class="t-4"><span class="left pl">
                                    <%if(data.list[i][1][j][2]==2){%><%=data.list[i][1][j][3]%> <%=data.list[i][1][j][4]%><%}else if(data.list[i][1][j][2]==5){if(data.list[i][1][4][data.list[i][1][j][3]]){%><%=data.list[i][1][j][4][data.list[i][1][j][3]][lang]%><%}else{%><%=data.list[i][1][j][4][0][lang]%><%}}%></span>
                                </li>
                            </ul>                           
                        </div>
                        <% }%>
                     </div>
                    <%};}  else { %>
                    <div class="system-no-data">/*[ID_NO_DATA]*/</div>
                    <%} %>
                </div>
            </div>
            </form>
        </div>
      </div>
 </div>
</body>
</html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
//        点击打开或者关闭列表
         $(document).ready(function(){
          $(".table-ex").click(function(ev){
               var event = ev || window.event                         
		       var next = $(this).nextAll(".table-content");
		        next.toggle();		            
            });                         
        });
</script>